import { Metadata } from 'next';
import CommentList from '@/components/comments/CommentList';
import { Spin } from 'antd';

export const metadata = {
  title: "Baymax | Comments",
  description: "Generated by create next app",
};

export default async function page() {
  const response = await fetch("https://jsonplaceholder.typicode.com/comments");
  const comments = await response.json();
  if (!comments) {
    return <Spin tip="Loading comments..." />;
  }
  return (
    <div>
      <CommentList data={comments} />
    </div>
  );
}